%global srcname starlette-wtf

Name:           python-%{srcname}
Version:        0.4.5
Release:        %autorelease
Summary:        Simple integration of Starlette and WTForms

License:        MIT
URL:            https://github.com/kubetail-org/starlette-wtf
# PyPI tarball doesn't include test fixtures
Source:         %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Starlette-WTF is a simple tool for integrating Starlette and WTForms. It is
modeled on the excellent Flask-WTF library.}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files starlette_wtf

%check
%pytest -v

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md

%changelog
%autochangelog
